# Hire Desire

Hire Desire is a demonstration project built and explained during [this talk](https://docs.google.com/presentation/d/1wpPgdEANlpwK9oqzpdUuzWSVVPdQ_B7D5Pt-JktQwNM/edit#slide=id.p). Feel free to reuse anything from this app but remember this is a talk app, not an actual one!

## Node.js and NPM

Before you can build this project, you must install and configure the following dependencies on your machine:

1. [Node.js](https://nodejs.org/): We use Node to run a development web server and build the project.
   Depending on your system, you can install Node either from source or as a pre-packaged bundle.

After installing Node, you should be able to run the following command to install development tools.
You will only need to run this command when dependencies change in [package.json](package.json).

```
npm install
```

## Local environment

- [Local server](http://localhost:8080)
- [Local API doc](http://localhost:8080/swagger-ui.html)

<!-- jhipster-needle-localEnvironment -->

## Start up

```bash
./mvnw
```

<!-- jhipster-needle-startupCommand -->

## Documentation

- [Package types](documentation/package-types.md)
- [Assertions](documentation/assertions.md)
- [Application errors](documentation/application-errors.md)
- [Logs Spy](documentation/logs-spy.md)
- [CORS configuration](documentation/cors-configuration.md)
- [Cucumber](documentation/cucumber.md)
- [Hexagonal architecture](documentation/hexagonal-architecture.md)

<!-- jhipster-needle-documentation -->
